Subject: Re: Use case (was Re: Should branches be objects?)

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Jun 2014 10:42:49 -0700

Nico Williams <[email-masked]> writes:

> On Tue, Jun 24, 2014 at 6:09 AM, Theodore Ts'o <[email-masked]> wrote:
> ...
>> This seems pretty close to what we have with signed tags.  When I send
>> a pull request to Linus, I create a signed tag which createscontains a
>> message about a set of commits, and this message is automatically
>> included in the pull request message generated with "git
>> request-pull", and when Linus merges my pull request, the
>> cryptographically signed tag, along with the message, date of the
>> signature, etc., is preserved for all posterity.
>
> Thanks for pointing this out.  Signed tags are objects -- that's a
> clear and strong precedent..

Sounds as if you are interpreting what Ted said as a supporting
argument for having branches as separate type of objects, but the
way I read it was "signed tags are sufficient for what you want to
do; adding a new "branch" type does not make much sense at this
point".